rxiv

about api
find the newest relevant papers from all preprint servers.

POST /api/search

search preprints by researcher profile. returns top 100 ranked by combined centroid + velocity + gap scoring.

{
  "ids": ["3128227", "2157025857"]
}
{
  "updated": "2026-03-30 11:50:00",
  "author_ids": ["3128227"],
  "author_desc": {"3128227": "gene regulation..."},
  "paper_count": 42,
  "preprint_count": 2278,
  "themes": [{"name": "...", "count": 12}],
  "preprints": [{
    "title": "...",
    "authors": "...",
    "source": "bioRxiv (Genomics)",
    "link": "https://...",
    "score": 0.54,
    "score_centroid": 0.58,
    "score_velocity": 0.51,
    "score_gap": 0.42,
    "theme": "...",
    "pubDate": "2026-03-28T00:00:00+00:00"
  }]
}

scoring

centroid (50%) — average embedding of publications.

velocity (30%) — projected future position from publication trajectory.

gap (20%) — midpoints between K-means clusters of publications.

GET /api/cache-info

{
  "total": 2278,
  "bioRxiv": 442,
  "medRxiv": 271,
  "arXiv": 1565,
  "updated": "2026-03-30 02:41:04"
}

GET /api/stats

{
  "searches": 48,
  "unique_researchers": 26,
  "papers_served": 4000
}

example

curl -X POST https://rxiv.sh/api/search \
  -H "Content-Type: application/json" \
  -d '{"ids":["3128227"]}'

shareable urls

https://rxiv.sh/?a=3128227,2157025857

stack

embeddings: OpenAI text-embedding-3-small (256d). text: gpt-4o-mini. researcher data: Semantic Scholar. preprints: 242 sources (231 RSS + 11 OSF API).